Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomNotation Class Reference
[XML module]

The QDomNotation class represents an XML notation. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomNotation ()
- QDomNotation ( const QDomNotation & x )
- QDomNotation & operator= ( const QDomNotation & x )
- ~QDomNotation ()
- QString publicId () const
- QString systemId () const
- virtual QDomNode::NodeType nodeType () const
- virtual bool isNotation () const

## Detailed Description

The QDomNotation class represents an XML notation.

A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification).

DOM does not support editing notation nodes; they are therefore read-only.

A notation node does not have any parent.

You can retrieve the publicId() and systemId() from a notation node.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also XML.

## Member Function Documentation

### QDomNotation::QDomNotation ()

Constructor.

### QDomNotation::QDomNotation ( const QDomNotation & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNotation::~QDomNotation ()

Destroys the object and frees its resources.

### bool QDomNotation::isNotation () const`[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomNotation::nodeType () const`[virtual]`

Returns NotationNode.

Reimplemented from QDomNode.

### QDomNotation & QDomNotation::operator= ( const QDomNotation & x )

Assigns x to this DOM notation.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QString QDomNotation::publicId () const

Returns the public identifier of this notation.

### QString QDomNotation::systemId () const

Returns the system identifier of this notation.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.